package math;


/**
 * Matemaattinen muuttuja, eli tunnus, jonka arvon voi muuttaa.
 */
public class Variable extends Expression {
	private double value;
	/**
	 * Luo uuden muuttujan alkuarvolla nolla.
	 */
	public Variable() {
		this.value = 0.0;
	}
	/**
	 * Luo uuden muuttujan annetulla alkuarvolla.
	 * @param value	alkuarvo
	 */
	public Variable(double value) {
		this.value = value;
	}
	public double getValue() {
		return this.value;
	}
	/**
	 * Asettaa muuttujalle uuden arvon.
	 * @param value	uusi arvo
	 */
	public void setValue(double value) {
		this.value = value;
	}
	public String toString() { return "" + this.value; }
}
